<button cui-button [cui-sidebar-trigger]="sidebar">Open Sidebar</button>
<cui-sidebar #sidebar [direction]="direction" [width]="width" [sidebarTemplateRef]="sidebarContent"></cui-sidebar>
<ng-template #sidebarContent>
  <div class="cui-p-m" style="display: flex; flex-direction: column;">
    <button cui-button mode="ghost" class="cui-mb-m">Item 1</button>
    <button cui-button mode="ghost" class="cui-mb-m">Item 2</button>
    <button cui-button mode="ghost" class="cui-mb-m">Item 3</button>
  </div>
</ng-template>
